[Unit]
Description=Globus GridFTP Server
Documentation=man:globus-gridftp-server(8)
After=remote_fs.target network.target

[Service]
Type=forking
EnvironmentFile=-/etc/default/globus-gridftp-server
PIDFile=/var/run/globus-gridftp-server.pid
ExecStartPre=/bin/sh -c "[ -f /etc/gridftp.conf ] || touch /etc/gridftp.conf"
ExecStartPre=/bin/sh -c "[ -d /etc/gridftp.d ] || mkdir /etc/gridftp.d"
ExecStart=/usr/sbin/globus-gridftp-server -S \
  -c /etc/gridftp.conf -C /etc/gridftp.d \
  -pidfile /var/run/globus-gridftp-server.pid
ExecReload=/bin/kill -HUP $MAINPID

[Install]
WantedBy=multi-user.target
